This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 116500 - up2date never updates
up2date never updates
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-02-21 16:40 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-24 06:11:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-02-21 16:40:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
up2date no longer updates. starts normally. progress dialogue gets to
"fetching rpm headers" and  hangs.

Version-Release number of selected component (if applicable):
up2date-4.3.11-2.1

How reproducible:
Always

Steps to Reproduce:
1.run up2date
2.
3.
    

Actual Results:  packages dont get updated

Expected Results:  packages get updated

Additional info:
Comment 1 Need Real Name 2004-02-21 17:40:55 EST
Just ran up2date from the command line and this is the result.

[root@paris root]# up2date &
[1] 4027
[root@paris root]#
http://fedora.redhat.com/download/up2date-mirrors/fedora-core
-rawhide
using mirror:
http://download.fedora.redhat.com/pub/fedora/linux/core/developmen
t/i386/
[root@paris root]# Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1360, in
onChannelsPageNext
    self.pkgList = self.pList.getPackagesToInstall()
  File "/usr/share/rhn/up2date_client/packageList.py", line 580, in
getPackagesToInstall
    result = self.__skipPackages(result)
  File "/usr/share/rhn/up2date_client/packageList.py", line 609, in
__skipPackages
    packageList = self.__skipFiles(packageList)
  File "/usr/share/rhn/up2date_client/packageList.py", line 630, in
__skipFiles
    ignoreMsgCallback = self.ignoreMsgCallback)
  File "/usr/share/rhn/up2date_client/packageList.py", line 669, in
buildHeaderList
    hdr = headerList[pkg]
  File "/usr/share/rhn/up2date_client/headers.py", line 37, in __getitem__
    self.__retrievePackage(item)
  File "/usr/share/rhn/up2date_client/headers.py", line 42, in
__retrievePackage
    hdr, sourceType = rpcServer.doCall(self.repos.getHeader, item)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 112, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 31, in
getHeader
    return self.handlers[channel['type']].getHeader(pkg, msgCallback,
progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 210, in
getHeader
    header = source.getHeader(pkg, progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
93, in getHeader
    hdrBuf = fh.read()
  File "/usr/lib/python2.3/gzip.py", line 217, in read
    self._read(readsize)
  File "/usr/lib/python2.3/gzip.py", line 272, in _read
    self._read_eof()
  File "/usr/lib/python2.3/gzip.py", line 308, in _read_eof
    raise IOError, "CRC check failed"
IOError: CRC check failed
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1439, in
onSkippedPagePrepare
    maxlength = max(map(lambda x: len(x[0][0]), self.skipPkgList)) * 8
ValueError: min() or max() arg is an empty sequence
[root@paris root]# 
Comment 2 Ivo Sarak 2004-02-24 05:31:30 EST
I believe it is the same issue as here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=116658
Comment 3 Need Real Name 2004-02-24 06:11:21 EST
Ran several updates from rawhide and the problem disappeared

Note You need to log in before you can comment on or make changes to this bug.